Subject: RE: bug#38187: 27.0.50; No mouse-wheel scaling on images

From: Drew Adams <[email-masked]>
Date: Tue, 19 Nov 2019 08:27:32 -0800 (PST)

> > I repeat my objection.  `font-size-*' does not make
> > clear that this is about text scaling, which applies
> > to a single _buffer, wherever it is displayed_.
> 
> Do you agree that it makes it more clear than "increase-text-scale"?

Uh, no.  Why would `font-size-*' make it more clear
that it's about text scaling?

> > The important thing about this is that it is
> > buffer-specific - affects only a single buffer, and
> > it affects all displays of the buffer - in all windows.
> 
> AFAIK, we currently have no other way of changing the font size in
> Emacs.  I believe that this feature will quickly be obvious to anyone
> who tries using "text-scale-increase" or "text-scale-decrease".

But we do.  I mentioned library `zoom-frm.el'.  And
any of that code or similar could be added to vanilla
Emacs.  I encourage its addition.  Letting C-x C-+,
C-x C-=, C-x C--, C-x C-0 zoom either a frame or a
buffer is a plus, with no minus.

The point is that text scaling is _one_ way to change
the apparent size of text.  That way affects a single
_buffer_, in all its windows.  (And it does that by
face remapping.)

There are other ways to change displayed text size.

The name for this particular feature should, IMO,
reflect what it does specifically, especially since
we know that there are other possibilities.

> > Please add "buffer" to the aliases you're adding.
> > For example: `buffer-font-size-increase'.
> 
> I don't object in principle.  But again, we don't have
> "frame-font-size-increase" or "window-font-size-increase",
> so I'm not sure if it makes things much better.  And to
> make it discoverable, perhaps it's better if it starts
> with "font"?
> 
> > (And it's not actually "font"; it's "face".  But
> > that's OK.)
> 
> Yes, there is that added confusion.  The terminology here seems to be
> less than great, since the same thing can interchangeably be called
> "increase font size", "increase text size", or "zoom".  See for
> example this page from Firefox which manages to use all three of these
> in one page: ...

Interchangeably outside Emacs, perhaps.  Those are
different, non-interchangeable things inside Emacs.

> (IME, it is never called "increase text scale" outside of Emacs.)

What are faces called outside Emacs?  (Trick question)

Emacs has face remapping.  Does outside Emacs?  Emacs
has buffers and windows (and frames) as separate kinds
of objects that can be, but need not be, used together.

Such distinctions don't make sense (at least in most
cases) outside Emacs.  Inside Emacs, they do.  And we
are talking about inside Emacs.

There are ways to make things discoverable without
losing distinctions that are important to Emacs.

And adding "buffer" to the alias name doesn't in any
way detract from discoverability.

Quite the contrary.  If and when we do have other
ways to zoom (and I hope we do use that term "zoom",
including for discoverability), finding _this_ way
using the keyword "buffer" will be important for
discoverability.

(I didn't object to the use of "font" instead of
"face" in order to help with discoverability.)

Just one opinion.